Skip to main content
PUT
/
routers
/
{id}
Update a router
curl --request PUT \
  --url https://app.leadconduit.com/routers/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "routes": [
    {
      "rule_set": {
        "op": "and",
        "rules": [
          {
            "lhv": "lead.state",
            "op": "is equal to",
            "rhv": "TX",
            "rule_set": "<unknown>"
          }
        ]
      }
    }
  ]
}
'
[
  {
    "id": "5fd4371e940df5a34a3888b2",
    "module_id": "5fd4371e940df5a34a3888b2",
    "routes": [
      {
        "id": "1aacd0",
        "flow_id": "5fd4371e940df5a34a3888b2",
        "source_id": "5fd4371e940df5a34a3888b2",
        "rule_set": {
          "op": "and",
          "rules": [
            {
              "lhv": "lead.state",
              "op": "is equal to",
              "rhv": "TX",
              "id": "1aacd0",
              "rule_set": "<unknown>"
            }
          ],
          "id": "0d144a"
        }
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

LeadConduit uses HTTP Basic Authentication with the username API and your API key as the password.

For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'

Path Parameters

id
string
required

The ID of the router 24 character alpha-numeric BSON identifier

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

Body

application/json

Update an existing Router

A router is a single lead-submission endpoint that's able to distribute lead submissions to any one of an account's various Flows, based on evaluation of rules.

The first rules that match are used to select the Flow and Source; subsequent rules are ignored.

Only one Router for a given integration module-id should exist in an account.

routes
object[]

The routes to be evaluated by this router

Response

200 - application/json

OK

id
string

ID of this router

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

module_id
string

A pointer to the integration code to use for this router

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

routes
object[]

The routes to be evaluated by this router

created_at
string<date-time>
updated_at
string<date-time>